Foxit PDF SDK

Instance Methods | List of all members
FSMonoImageSettings Class Reference
Inheritance diagram for FSMonoImageSettings:

## Instance Methods
(id) | - init
| Constructor. More...
(id) | - initWithOther:
| Constructor, with another result information object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(void) | - setCompressionMode:
| Set compression mode used for optimizing monochrome images in a PDF document. More...
(void) | - setImageDPI:
| Set the DPI value as the target compressed value for compressing monochrome images in a PDF document. More...
(void) | - setImageDPILimit:
| Set the lower limit DPI value for the monochrome image to decide if the image is to be compressed in a PDF document. More...
(void) | - setQuality:
| Set compression quality, used for optimizing monochrome images in a PDF document. More...
(void) | - setStretchMode:
| Set stretch mode used for optimizing monochrome images in a PDF document. More...

## Detailed Description

This class represents downsampling/recompression settings for monochrome images. This class object can be set to class FSOptimizerSettings and then be used to optimize a PDF document.

See also
  FSOptimizerSettings

## Method Documentation

## ◆ init()

- (id) init |  |  |

Constructor.

This constructor is to construct a monochrome image settings object with default setting options. User can also call "set" methods in this class to change these setting options. Please refer to comment of these "set" methods for more details about default values.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSMonoImageSettings*) | other |

Constructor, with another result information object.

Parameters

  [in] | other | Another monochrome image settings object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.

## ◆ setCompressionMode:()

- (void) setCompressionMode: |  | (FSMonoImageSettingsMonoImageCompressMode) | mode |

Set compression mode used for optimizing monochrome images in a PDF document.

For a newly constructed object, if this function is not called to set option, that means to use FSMonoImageSettingsImageCompressCCITT4 as the default value of this option.

Parameters

  [in] | mode | Image compression mode. Please refer to values starting from FSMonoImageSettingsImageCompressHigh and this should be one of these values.

Returns
  None.

## ◆ setImageDPI:()

- (void) setImageDPI: |  | (int) | dpi |

Set the DPI value as the target compressed value for compressing monochrome images in a PDF document.

When an image can be compressed, the resolution of this image will be compressed to the DPI value set by current function.
For a newly constructed object, if this function is not called to set option, that means to use 250 as the default value of this option.

Parameters

  [in] | dpi | DPI value. If the images can be compressed, the resolution of these images will be compressed to this value.

Returns
  None.

## ◆ setImageDPILimit:()

- (void) setImageDPILimit: |  | (int) | dpi_limit |

Set the lower limit DPI value for the monochrome image to decide if the image is to be compressed in a PDF document.

If the resolution of an image in the PDF document is above the lower limit DPI value, this image will be compressed to the target compressed DPI value which is set by function FSMonoImageSettings::setImageDPI:.
For a newly constructed object, if this function is not called to set option, that means a DPI value (which is 1.5 times of target compressed DPI value) will be used as the default value of this option.

Parameters

  [in] | dpi_limit | DPI value as the lower limit. This value should be a positive number. Suggested range: bigger than target compressed DPI value (set by function FSMonoImageSettings::setImageDPI:) and the maximum value is 10 times of target compressed DPI value. If input value is not bigger than the target compressed DPI value, a DPI value which is one more than the target compressed DPI value will be used instead. If input value is bigger than the maximum value, the maximum value value will be used instead.

Returns
  None.

## ◆ setQuality:()

- (void) setQuality: |  | (FSMonoImageSettingsMonoImageCompressQuality) | quality |

Set compression quality, used for optimizing monochrome images in a PDF document.

For a newly constructed object, if this function is not called to set this option, that means to use FSMonoImageSettingsImageCompressQualityLossless as the default value of this option.

Parameters

  [in] | quality | Compression quality. Please refer to values starting from FSMonoImageSettingsImageCompressQualityLossless and this should be one of these values.

Returns
  None.

## ◆ setStretchMode:()

- (void) setStretchMode: |  | (FSMonoImageSettingsStretchMode) | mode |

Set stretch mode used for optimizing monochrome images in a PDF document.

For a newly constructed object, if this function is not called to set this option, that means to use FSMonoImageSettingsStretchBicubic as the default value of this option.

Parameters

  [in] | mode | Stretch mode. Please refer to values starting from FSImageSettingsStretchOff and this should be one of these values.

Returns
  None.